# PCCreate

Creates a preconditioner context.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCCreate(MPI_Comm comm,PC *newpc)

Collective on MPI_Comm

### Input Parameter

comm - MPI communicator

### Output Parameter

pc - location to put the preconditioner context

### Notes

The default preconditioner on one processor is PCILU with 0 fill on more then one it is PCBJACOBI with ILU() on each processor.

### Keywords

PC, create, context

### See Also

PCSetUp(), PCApply(), PCDestroy()

Level:developer
Location: src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex21f.F.html
src/snes/examples/tutorials/ex33f.F.html